diff -U 1 libxinevdec.orig/dshowserver.c libxinevdec/dshowserver.c
--- libxinevdec.orig/dshowserver.c	2008-07-29 20:31:40.000000000 +0000
+++ libxinevdec/dshowserver.c	2008-08-04 09:16:08.000000000 +0000
@@ -122,3 +123,3 @@
   } else {
-    this->bih = xine_xmalloc(sizeof(xine_bmiheader) + this->extradata_size);
+    this->bih = calloc(1, sizeof(xine_bmiheader) + this->extradata_size);
     this->bih->biWidth = this->width;
@@ -165,3 +166,3 @@
       this->extradata_size = buf->decoder_info[2];
-      this->extradata = xine_xmalloc(buf->decoder_info[2]);
+      this->extradata = calloc(1, buf->decoder_info[2]);
       memcpy(this->extradata, buf->decoder_info_ptr[2],
@@ -196,3 +199,3 @@
       int size = ((xine_bmiheader *) buf->content)->biSize;
-      this->bih = xine_xmalloc(size);
+      this->bih = calloc(1, size);
       memcpy(this->bih, buf->content, size);
@@ -372,3 +389,3 @@
 
-  dshowserver_decoder_t  *this             = (dshowserver_decoder_t *) xine_xmalloc (sizeof (dshowserver_decoder_t));
+  dshowserver_decoder_t  *this             = (dshowserver_decoder_t *) calloc (1, sizeof (dshowserver_decoder_t));
 
@@ -387,2 +404,3 @@
 
+#if VIDEO_DECODER_IFACE_VERSION < 19
 static char *get_identifier (video_decoder_class_t *this) {
@@ -394,2 +412,3 @@
 }
+#endif
 
@@ -401,7 +420,12 @@
 
-  dshowserver_class_t *this                = (dshowserver_class_t *) xine_xmalloc (sizeof (dshowserver_class_t));
+  dshowserver_class_t *this                = (dshowserver_class_t *) calloc (1, sizeof (dshowserver_class_t));
 
   this->decoder_class.open_plugin       = open_plugin;
+#if VIDEO_DECODER_IFACE_VERSION < 19
   this->decoder_class.get_identifier    = get_identifier;
   this->decoder_class.get_description   = get_description;
+#else
+  this->decoder_class.identifier = "dshowserver";
+  this->decoder_class.description = "Dshowserver video decoder plugin";
+#endif
   this->decoder_class.dispose           = dispose_class;
@@ -423,3 +447,7 @@
   /* type, API, "name", version, special_info, init_function */
+#if VIDEO_DECODER_IFACE_VERSION < 19
   { PLUGIN_VIDEO_DECODER, 18, "dshowserver", XINE_VERSION_CODE, &dec_info_video, init_plugin },
+#else
+  { PLUGIN_VIDEO_DECODER, 19, "dshowserver", XINE_VERSION_CODE, &dec_info_video, init_plugin },
+#endif
   { PLUGIN_NONE, 0, "", 0, NULL, NULL }
